Bug 1291516 - USGCB STIG for RHEL 7 mentions obsolete "PROMPT=no" option in /etc/sysconfig/init
USGCB STIG for RHEL 7 mentions obsolete "PROMPT=no" option in /etc/sysconfig/...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Lieskovsky
Marek Haicman
:
Depends On:
Blocks: 1203710
  Show dependency treegraph
 
Reported: 2015-12-14 22:01 EST by Karl Hastings
Modified: 2016-11-04 03:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: scap-security-guide-0.1.30-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-04 03:33:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl Hastings 2015-12-14 22:01:57 EST
Description of problem:
with the switch to systemd the "PROMPT" option is no longer a valid config option in /etc/sysconfig/init and has no effect, therefore setting it to "no" does nothing and shouldn't be checked by the guide.  ("Disable Interactive Boot")

Version-Release number of selected component (if applicable):
scap-security-guide-0.1.25-3.el7.noarch
Comment 3 Šimon Lukašík 2016-01-11 08:34:25 EST
To my understanding this has been fixed in upstream. Granting dev_ack+.

https://github.com/OpenSCAP/scap-security-guide/pull/852
Comment 4 Karl Hastings 2016-01-11 15:09:24 EST
Šimon,

Unless I'm missing something, (And I could very well be)  I don't see the changes merged for RHEL7:

https://github.com/OpenSCAP/scap-security-guide/blob/master/shared/oval/disable_interactive_boot.xml
https://github.com/OpenSCAP/scap-security-guide/blob/master/RHEL/7/input/xccdf/system/accounts/physical.xml

RHEL7/systemd does not follow the PROMPT=no option in /etc/sysconfig/init, so that test should be removed.
RHEL7/systemd uses systemd.confirm_spawn=1 on the kernel command line to do an interactive boot, that test needs to be added.
Comment 5 Šimon Lukašík 2016-01-12 07:43:13 EST
Ah, you are right, Karl.

Thank You!
Comment 7 Jan Lieskovsky 2016-06-14 04:35:47 EDT
Proposed upstream patch:
* https://github.com/OpenSCAP/scap-security-guide/pull/1282
Comment 9 Marek Haicman 2016-06-30 07:01:13 EDT
Version scap-security-guide-0.1.30-1.el7 contains the fix. PROMPT=no is no longer suggested and checked, and instead systemd.confirm_spawn is checked.
Comment 11 errata-xmlrpc 2016-11-04 03:33:03 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2483.html

Note You need to log in before you can comment on or make changes to this bug.